package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

/** 
 * @ClassName: tbl_device_user 
 * @date 2015年7月2日 下午16:40:00 
 *  
 */
public class DeviceUser implements Serializable{
	
	private static final long serialVersionUID = -6056043883433438749L;
	//ID
	private DeviceUserId priId = new DeviceUserId();
	//1、主控制权，0、被分享者
	private String isMaster;
	//显示名称
	private String showName;
	//保存的显示图标
	private String customIconName;
	//保存的显示名称
	private String customShowName;
	//修改时间
	private Date updateTime;
	//创建时间
	private Date createTime;
	
	public DeviceUser() {}
	
	public DeviceUser(DeviceUserId priId, String isMaster, String showName) {
		this.priId = priId;
		this.isMaster = isMaster;
		this.showName = showName;
		this.customIconName = "";
		this.customShowName = "";
		this.updateTime = new Date();
		this.createTime = new Date();
	}

	public DeviceUserId getPriId() {
		return priId;
	}
	public void setPriId(DeviceUserId priId) {
		this.priId = priId;
	}
	public String getShowName() {
		return showName;
	}
	public void setShowName(String showName) {
		this.showName = showName;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getIsMaster() {
		return isMaster;
	}
	public void setIsMaster(String isMaster) {
		this.isMaster = isMaster;
	}
	public String getCustomIconName() {
		return customIconName;
	}
	public void setCustomIconName(String customIconName) {
		this.customIconName = customIconName;
	}
	public String getCustomShowName() {
		return customShowName;
	}
	public void setCustomShowName(String customShowName) {
		this.customShowName = customShowName;
	}
	
}
